print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricepear = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local pearHudFile = "Paletten/hud_fill_pear.dds"
	local pearHudFileSmall = "Paletten/hud_fill_pear_small.dds"
	
    local pearFilType = g_fillTypeManager:addFillType("PEAR", g_i18n:getText("pear"), true, pricepear * 0.9, 0.00045, math.rad(10), pearHudFile, pearHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local haspear=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	haspear=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "PEAR" then
		haspear=true
	end;
		
end;

		if hasmaize and not haspear then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("PEAR")
		local price = g_fillTypeManager:getFillTypeByName("PEAR").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("PEAR")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)